Level (SLF4J 1.7.25 API)
Date: 2017-03-16

org.slf4j.event

## Enum Level

- java.lang.Object
- - java.lang.Enum<Level>
  - - org.slf4j.event.Level

- All Implemented Interfaces:
    Serializable, Comparable<Level>

      public enum Level
      extends Enum<Level>

  Since:
    1.7.15
  Author:
    ceki

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEBUG`
    `ERROR`
    `INFO`
    `TRACE`
    `WARN`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `toInt()`
    `String` | `toString()` Returns the string representation of this Level.
    `static Level` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Level[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ERROR

          public static final Level ERROR

    - #### WARN

          public static final Level WARN

    - #### INFO

          public static final Level INFO

    - #### DEBUG

          public static final Level DEBUG

    - #### TRACE

          public static final Level TRACE

  - ### Method Detail

    - #### values

          public static Level[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Level c : Level.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Level valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toInt

          public int toInt()

    - #### toString

          public String toString()

      Returns the string representation of this Level.
      Overrides:
        `toString` in class `Enum<Level>`

Copyright © 2005–2017 QOS.ch. All rights reserved.